Subject: Re: bug#68545: warnings from GNU Make 3.81

From: Eli Zaretskii <[email-masked]>
Date: Thu, 18 Jan 2024 08:19:23 +0200

> From: Po Lu <[email-masked]>
> Cc: Mattias Engdegård <[email-masked]>,
>   [email-masked]
> Date: Thu, 18 Jan 2024 08:50:41 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > The &: feature was introduced in GNU Make 4.3, and we don't want to
> > force people to use such new versions.  So please find a different
> > solution for what you need to do there, one that doesn't require Make
> > newer than 3.81.
> 
> This is a harmless warning message that doesn't affect the execution of
> the `clean' target itself.  It's not necessary to address this or
> support Make 3.81 for building the Android port, because Makefiles
> provided by the Android.mk build system require versions of Make which
> support group targets.

First, AFAIU the relevant Makefile target gets executed in non-Android
builds as well.

And second, if the Android build requires GNU Make >= 4.3, I think
this should be mentioned in java/INSTALL as a prerequisite, even if
the various other Android tools already require or provide such a new
version.

> If suppressing the warning is still a concern, please try this patch:

If Mattias says this solves the problem, please install this change.